Subject: bug#5294: 23.1; unload-feature disable minor-mode

From: Juanma Barranquero <[email-masked]>
Date: Sun, 3 Jan 2010 02:41:07 +0100

On Sun, Jan 3, 2010 at 02:05, Kevin Ryde <[email-masked]> wrote:

> Sounds like it could have been better to do those latter actions
> irrespective of the hook. Let only the FOO-unload-function say not to
> do them, for the rare cases they're unwanted.

The now-obsolete functionality (for FOO-unload-hook, not
unload-feature in general) was confusing, badly designed and
ill-documented; changing it would have been backward incompatible, not
to mention fragile. It was better to add a new way. The current
FOO-feature-function was added because in most cases, it's the
package's responsibility to know how to unload itself. For the few
cases that do not, there's always advising; but perhaps
`unload-feature-functions' would be a good idea, and there's no worry
about compatibility.

    Juanma